from setuptools import setup

with open("README.md", "r") as fh:
	long_description = fh.read()


setup(
	name='NikeCA',
	version='0.1.5',
	description='Standardize and Automate processes utilized by the DAMs at Nike in CA',
	py_modules=[
		"__init__",
		"NikeSF",
		"_SnowflakeData",
		"NikeQA",
		"_QA",
		"NikeCA"
	],
	package_dir={'': 'src'},
	classifiers=[
	"Programming Language :: Python :: 3",
	"Programming Language :: Python :: 3.11",
	"License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)",
	"Operating System :: OS Independent",
	],
	long_description=long_description,
	long_description_content_type="text/markdown",
	install_requires = [
		"wheel",
		"asn1crypto==1.5.1",
		"certifi==2022.12.7",
		"cffi==1.15.1",
		"charset-normalizer==2.1.1",
		"cryptography==39.0.1",
		"databricks==0.2",
		"databricks-sql==1.0.0",
		"databricks-sql-connector==2.2.1",
		"filelock==3.9.0",
		"gitdb==4.0.10",
		"GitPython==3.1.31",
		"greenlet==2.0.2",
		"idna==3.4",
		"lz4==4.3.2",
		"numpy==1.23.4",
		"oauthlib==3.2.2",
		"oscrypto==1.3.0",
		"pandas==1.5.3",
		"pyarrow==10.0.1",
		"pycparser==2.21",
		"pycryptodomex==3.17",
		"PyJWT==2.6.0",
		"pyOpenSSL==23.0.0",
		"pystache==0.6.0",
		"python-dateutil==2.8.2",
		"pytz==2022.7.1",
		"requests==2.28.2",
		"six==1.16.0",
		"smmap==5.0.0",
		"snowflake-connector-python==3.0.0",
		"snowflake-sqlalchemy==1.4.6",
		"SQLAlchemy==1.4.46",
		"thrift==0.16.0",
		"typing_extensions==4.5.0",
		"urllib3==1.26.14",
		"xcrun==0.4",
		"configparser~=5.3.0",
	],
)
